configure.ac: use AC_PROG_CC_C99

Various parts of Xfce, and libraries used by Xfce, already use C99 features.
Therefore it is reasonable to expect the availibility of a capable compiler.
Current GCC releases silently default to newer C standards, starting with
gcc-5 which defaults to C11.

Replace AC_PROG_CC with AC_PROG_CC_C99 to switch the discovered, or specified,
compiler to C99.

Signed-off-by: Olaf Hering <olaf@aepfle.de>
2 jobs for !2 with C99 in 1 minute and 1 second (queued for 20 minutes and 3 seconds)
detached
Status Job ID Name Coverage
  Build
passed #9378
build

00:00:25

 
  Distcheck
passed #9379
distcheck

00:00:36